[android-components](../../../index.md) / [mozilla.components.concept.fetch](../../index.md) / [Request](../index.md) / [Method](./index.md)

# Method

`enum class Method` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/fetch/src/main/java/mozilla/components/concept/fetch/Request.kt#L116)

Request methods.

The request method token is the primary source of request semantics;
it indicates the purpose for which the client has made this request
and what is expected by the client as a successful result.

https://tools.ietf.org/html/rfc7231#section-4

### Enum Values

| Name | Summary |
|---|---|
| [GET](-g-e-t.md) |  |
| [HEAD](-h-e-a-d.md) |  |
| [POST](-p-o-s-t.md) |  |
| [PUT](-p-u-t.md) |  |
| [DELETE](-d-e-l-e-t-e.md) |  |
| [CONNECT](-c-o-n-n-e-c-t.md) |  |
| [OPTIONS](-o-p-t-i-o-n-s.md) |  |
| [TRACE](-t-r-a-c-e.md) |  |
